<?php
namespace plugins\file_manager\library;

/**
 * Breadcrumbs trait
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2021, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
trait Breadcrumbs {
    
    protected function directoryToBreadcrumb( $directory ) {
        $breadcrumbs = [];
        if ( !empty( $directory ) ) {
            while( '/' != $directory ) {
                $breadcrumbs[basename( $directory )] = BASE_URL . 'file_manager/' . base64url_encode( $directory );
                $directory = dirname( $directory );
            }
        }
        $breadcrumbs['public'] = BASE_URL . 'file_manager/';
        return array_reverse( $breadcrumbs, true );
    }
}
