<?php
namespace plugins\file_manager\services;

use plugins\file_manager\library\exceptions;

class ChangePermissions {

    private $filename;
    private $permissions;

    public function __construct( $filename, $permissions ) {
        $this->filename = $filename;
        $this->permissions = $permissions;
    }

    public function perform( $listener ) {
        if ( !file_exists( $this->filename ) ) {
            throw new exceptions\FileNotFoundException( sprintf( 'The file %s does not exist.', $this->filename ) );
        }
        if ( !chmod( $this->filename, octdec( $this->permissions ) ) ) {
            throw new \RuntimeException( sprintf( 'Unable to change permissions for %s.', $this->filename ) );
        }
        return $this->filename;
    }
}
